LinuxQuestions.org
Visit Jeremy's Blog.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Games
User Name
Password
Linux - Games This forum is for all discussion relating to gaming in Linux.

Notices


Reply
  Search this Thread
Old 05-18-2020, 03:44 PM   #1
Sarcutus
LQ Newbie
 
Registered: Jan 2019
Posts: 13

Rep: Reputation: Disabled
Can't initialize Unreal Tournament 1999: "84: exec: ./ut-bin: not found"


So apparently I don't have a ut-bin file and I'm supposed to have one. I don't know where to get one or where to put it once I have it.

I've made a very messy "install" of Unreal Tournament consisting entirely of untarring the tar.xz files in a Git clone of unreal.tournament_451-english_x86 into what I presume is the proper directory for UT system files (/usr/local/games/ut/). Hardly an install at all, and it should be no surprise that it's not worked.

I believe I have the proper 32-bit architecture in place, but I'm not sure. At any rate, it gives the "84: exec: ./ut-bin: not found" error when I try to run "sh ut." I'm presuming there's a missing file involved here. Would appreciate any help.
 
Old 05-19-2020, 04:18 AM   #2
tinfoil3d
Member
 
Registered: Apr 2020
Location: Japan/RJCC
Distribution: debian, lfs, whatever else i need in qemu
Posts: 268

Rep: Reputation: 75
i remember playing it in linux like a decade ago but don't remember if it was native or wine. post the shell script you're running, "not found" isn't a standard unix error message. the problem is at line 84.
 
Old 05-19-2020, 05:02 AM   #3
Sarcutus
LQ Newbie
 
Registered: Jan 2019
Posts: 13

Original Poster
Rep: Reputation: Disabled
This is the shell script "ut." Hope it helps.

Quote:
#!/bin/sh
###############################################################################
#
## LIFLG Startup Script
#
# Copyright (C) 2004-2011 Team LIFLG http://www.liflg.org/
#
# 2011-06-09
#
# This script is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
###############################################################################
#
# The game binary
GAME_BINARY="ut-bin"

# Sub directory
SUBDIR="System"

# Library directory
LIBDIR="lib/"

# Additional commandline options
CMD_ARGS="-log"

# Directory for Loki-Compat libraries
LOKICOMPATDIR="Loki_Compat"

# Use padsp whenever it is available (even when OSS is available)
USE_PADSP="false"

# Try to use padsp in case OSS is not available.
TRY_FALLBACK_TO_PADSP="true"

# Prevent failures with hardware acceleration
# only for use with Loki-Compat libs
#DISABLE_SDL_VIDEO_YUV_HWACCEL="true"

# Set if and how long the CPUs should be stressed. This helps to prevent games from running too fast on dynamic frequence scaling CPUs.
ENABLE_CPU_BURN="true"
CPU_BURN_IN_SECONDS=10
NUMBER_OF_CPUS=`sed -n 's$processor.*:.*\([0-9]\)$\1$p' /proc/cpuinfo|wc -l`

# More at http://wiki.libsdl.org/moin.cgi/FAQL...disabled.29.22
#ENABLE_SDL_DSP_NOSELECT ="true"

# Set the SDL audio driver (default: OSS)
# More at http://icculus.org/lgfaq/#setthatdriver
#SDL_AUDIODRIVER="alsa"

# Use US keyboard layout
USLAYOUT="true"

# Set gamma value for the game
#GAMMA="1.000"

###############################################################################
## DO NOT EDIT BELOW THIS LINE
###############################################################################
export LANG="POSIX"

test -n "${SDL_AUDIODRIVER}" && export SDL_AUDIODRIVER

# readlink replacement for older Bash versions
readlink() {
path=$1

if [ -L "$path" ]
then
ls -l "$path" | sed 's/^.*-> //'
else
return 1
fi
}

cpuburn() {
TIMENOW=`date +%s`
TIMETOEND=`expr $TIMENOW + $1`
while [ `date +%s` -le $TIMETOEND ]
do
b=`expr 1 + 1`
done
}

handleoss() {
if [ ! -c /dev/dsp -o "$USE_PADSP" = "true" ]
then
echo "OSS not available or usage of padsp requested!"
if [ "$TRY_FALLBACK_TO_PADSP" = "true" -o "$USE_PADSP" = "true" ]
then
echo "Trying to find padsp"
command -v padsp 1 > /dev/null 2>&1
if [ "$?" -ne 0 ]
then
echo "Could not find padsp, game may run without sound!"
USE_PADSP="false"
else
echo "Found padsp, will use it!"
USE_PADSP="true"
fi
else
echo "Game may run without sound!"
USE_PADSP="false"
fi
fi
}

setuslayout() {
setxkbmap -model pc101 us -print | xkbcomp - ${DISPLAY} 2>/dev/null
}
trap setxkbmap EXIT

resetgamma() {
if [ -n "${XGAMMA}" ]
then
exec ${XGAMMA}
fi
}
trap resetgamma EXIT

SCRIPT="$0"
SCRIPTDIR=$(dirname "${0}")
COUNT=0
while [ -L "${SCRIPT}" ]
do
SCRIPT=$(readlink ${SCRIPT})
COUNT=$(expr ${COUNT} + 1)
if [ ${COUNT} -gt 100 ]
then
echo "Too many symbolic links"
exit 1
fi
done
GAMEDIR=$(dirname "${SCRIPT}")

# Games are better played with US keyboard layout
if [ "${USLAYOUT}" = "true" ]
then
setuslayout
fi

# Save current gamma value and set specified value
if [ -n "${GAMMA}" ]
then
XGAMMA=$(xgamma 2>&1 | sed -e "s/.*Red \(.*\), Green \(.*\), Blue \(.*\)/xgamma -rgamma\1 -ggamma\2 -bgamma\3/")
xgamma -gamma ${GAMMA}
fi

if [ "x${SCRIPTDIR}" != "x${GAMEDIR}" ]
then
cd "${SCRIPTDIR}"
fi

cd "${GAMEDIR}"
cd "${SUBDIR}"

# Export game library directory
test -n "${LIBDIR}" && export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${LIBDIR}"

if [ "${ENABLE_SDL_DSP_NOSELECT}" = "true" ]
then
export SDL_DSP_NOSELECT=1
fi

if [ "${DISABLE_SDL_VIDEO_YUV_HWACCEL}" = "true" ]
then
export SDL_VIDEO_YUV_HWACCEL=0
fi

if [ "$TRY_FALLBACK_TO_PADSP" = "true" -o "$USE_PADSP" = "true" ]
then
handleoss
fi

if [ "$ENABLE_CPU_BURN" = "true" ]
then
echo stressing $NUMBER_OF_CPUS CPU\(s\) for $CPU_BURN_IN_SECONDS seconds
COUNT=0
while [ $COUNT -lt $NUMBER_OF_CPUS ]
do
cpuburn $CPU_BURN_IN_SECONDS &
COUNT=`expr $COUNT + 1`
done
fi

# Detect if Loki-Compat libraries are installed
if [ -d "$LOKICOMPATDIR" ]
then
echo "Running game with Loki-Compat libraries."
# Start the game with Loki-Compat libraries
if [ "$USE_PADSP" = "true" ]
then
echo "padsp does not work when loki-compat is enabled"
fi
LD_LIBRARY_PATH="$LOKICOMPATDIR" "$LOKICOMPATDIR"/ld-linux.so.2 ./${GAME_BINARY} ${CMD_ARGS} "$@"
else
# Start the game
if [ "$USE_PADSP" = "true" ]
then
padsp -- ./${GAME_BINARY} ${CMD_ARGS} "$@"
else
./${GAME_BINARY} ${CMD_ARGS} "$@"
fi
fi

EXITCODE="$?"

if [ "${USLAYOUT}" = "true" ]
then
# Reset kb layout
setxkbmap >/dev/null 2>&1

# Reset xmodmap
test -r ${HOME}/.Xmodmap && xmodmap ${HOME}/.Xmodmap >/dev/null 2>&1
fi

# Reset gamma - which is done by the trap call - see line 92

exit ${EXITCODE}
I think I just need to know where to put a directory called "ut-bin." But I'm not sure.
 
Old 05-19-2020, 05:29 AM   #4
tinfoil3d
Member
 
Registered: Apr 2020
Location: Japan/RJCC
Distribution: debian, lfs, whatever else i need in qemu
Posts: 268

Rep: Reputation: 75
it's not a directory it's an actual game executable. and it should be in System dir while you probably should be running this script out of the dir where System resides.
 
Old 05-19-2020, 05:41 AM   #5
Sarcutus
LQ Newbie
 
Registered: Jan 2019
Posts: 13

Original Poster
Rep: Reputation: Disabled
Tried running it there. More errors.

Quote:
OSS not available or usage of padsp requested!
Trying to find padsp
Found padsp, will use it!
stressing 4 CPU(s) for 10 seconds
ERROR: ld.so: object '/usr/lib/x86_64-linux-gnu/pulseaudio/libpulsedsp.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS64): ignored.
./ut-bin: error while loading shared libraries: libSDL-1.2.so.0: cannot open shared object file: No such file or directory
But at least it's not the same error as before.
 
Old 05-20-2020, 03:06 AM   #6
tinfoil3d
Member
 
Registered: Apr 2020
Location: Japan/RJCC
Distribution: debian, lfs, whatever else i need in qemu
Posts: 268

Rep: Reputation: 75
you don't have 32-bit sdl and pulseaudio libraries installed
 
Old 05-20-2020, 10:20 AM   #7
Sarcutus
LQ Newbie
 
Registered: Jan 2019
Posts: 13

Original Poster
Rep: Reputation: Disabled
Will installing them do any harm to my system (i.e., replace necessary 64-bit libraries with the same name, et C)?
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
What is the difference between "exec 5 > myfile" and "exec 2 > myfile"? thomas2004ch Programming 2 02-13-2012 08:19 PM
echo $PATH = /home/g3rc4n/bin:/usr/local/bin:/usr/bin:/bin:/usr/games ? i_heart_pandas Linux - Software 7 09-18-2009 08:33 AM
Couldn't run Unreal Tournament (ut-bin). Is UT_DATA_PATH set? Rhatlinux Linux - Games 9 08-01-2008 10:36 PM
Unreal Tournament "v" command key folkenfanel83 Linux - Games 9 11-03-2006 04:32 PM
Unreal Tournament and Unreal II PoezeBeest Linux - Games 4 03-27-2004 06:03 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Games

All times are GMT -5. The time now is 09:43 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration